<?php

require '../conexao/conexao.php';
require '../sessao.php';
$qtdFormula = 1417;
$adicaoEncontrada = 1; 
$metaEncontrada = 1711;

// Obtenha os valores de mês e ano como parâmetros
$mesParametro = '09';
$anoParametro = '2023';

// Obtém a data do dia anterior
$dataAtual = date('Y-m-d');
$dataOntem = date('Y-m-d', strtotime('-1 day', strtotime($dataAtual)));

// Obtém o mês e ano da data atual
$mesAtual = date('m', strtotime($dataAtual));
$anoAtual = date('Y', strtotime($dataAtual));

// Verifica se a data atual está dentro do mês e ano passados como parâmetros
if ($anoAtual == $anoParametro && $mesAtual == $mesParametro) {
    // A data atual está dentro do mês e ano passados como parâmetros
    // Sua consulta MySQL para o dia atual
    $query_diaatual = "select SUM(peso) as peso_atual from dia_trabalho_cidade dc
    inner join cidade c on c.id_cidade = dc.id_cidade
    inner join dia_trabalho dt on dt.id_dia_trabalho = dc.id_dia_trabalho
    inner join tipo_dia td on td.id_tipo_dia = dc.id_tipo_dia WHERE 1=1 and
   MONTH(dia_trabalho) = $mes AND YEAR(dia_trabalho) = $ano
   and dia_trabalho <= CURDATE() - INTERVAL 1 DAY";

    // Execute a consulta e obtenha os resultados
    $result = $connectionmysql->query($query_diaatual);

    $row = $result->fetch_assoc();
    $peso_diaatual = $row["peso_atual"];

    // Sua consulta MySQL para o último dia do mês
    $query_ultimodia = "SELECT SUM(peso) as peso_ultimo FROM dia_trabalho_cidade dc
        INNER JOIN cidade c ON c.id_cidade = dc.id_cidade
        INNER JOIN dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
        INNER JOIN tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
        WHERE 1=1 and MONTH(dia_trabalho) = $mes AND YEAR(dia_trabalho) = $ano";

    // Execute a consulta e obtenha os resultados
    $result2 = $connectionmysql->query($query_ultimodia);

    $row1 = $result2->fetch_assoc();
    $pesoUltimoDia = $row1["peso_ultimo"];

    // Agora, você tem os valores de peso da data atual e do último dia do mês
    // Use esses valores no seu cálculo de projeção
    $projecao = ((($qtdFormula + $adicaoEncontrada) / $peso_diaatual) * $pesoUltimoDia / $metaEncontrada) * 100;

    echo "PROJECAO: " . $projecao;

} else {
    // A data atual não está dentro do mês e ano passados como parâmetros
    // Execute a lógica para o caso de mês e ano diferentes
    $projecao = (($qtdFormula + $adicaoEncontrada) / $metaEncontrada) * 100;
    echo "PROJECAO: " . $projecao;
}

?>
